Subject: Re: bug#76926: 31.0.50; Hyperbole tarball bloat

From: Robert Weiner <[email-masked]>
Date: Wed, 9 Apr 2025 19:52:06 -0400

Why can’t Info installation handle subdirectories from the source directory.

Part of how we build things is trying to reduce the need for installation steps.  But I get that elpa has to deal with many package setups.

-- Bob

> On Apr 9, 2025, at 5:51 PM, Mats Lidell <[email-masked]> wrote:
> 
> 
>> 
>> Stefan Monnier writes:
>> 
>> Oh, we need a solution that works without any such change on your side
>> (there are too many packages in need of this: they won't all make
>> changes for us).
>> 
>>> But I still don’t understand why all the manual files and directories
>>> can’t just stay under the man or a doc subdir below the root Hyperbole
>>> directory and just be auto added to Info-directory list, for example.
>> 
>> AFAIK this is unrelated to the HTML file you see in `elpa.gnu.org` and
>> furthermore I think you're making invalid assumptions (AFAIK they *can*
>> stay there just fine).  IOW, please provide more details about exactly
>> what it is you want, what you tried to do to get it, and what
>> happened instead.
> 
> Sorry but I'm confused here. Let me take step back.
> 
> This thread or bug is about reducing the bloat in the Hyperbole package and
> possibly what files are stored in git. One of the things you suggested was
> that we could let ELPA generate the info and dir files plus generate a HTML
> file that would be linked to from the ELPA web site.
> 
> That sounded like something worth testing so I suggested that we had a go at
> it and you helped us by adding the :doc attribute to the ELPA recipe for
> Hyperbole. Unfortunately that did not work because the texi file refers to
> images stored in a sub folder relative to the info file.
> 
> I think here is where we stand today. What we want is that the images are
> shown in info and when web browsing. It is not clear to me if this is possible
> with changes in the Hyperbole package, or if the recipe needs to be changed as
> well or do we even need changes to the ELPA build system to support local
> files!?
> 
> Adding the images to the :doc attribute and change the texi file to assume a
> flat file structure seems plausible but will that work for the web page?
> 
> %% Mats